function Adj = VEtoAdj(P, E)
% Adj = VEtoAdj(P, E)
% Returns the adjacency matrix of the undirected graph with p vertices together with its set of edges.
% P is the number of vertices
% E is an nx2 matrix consisting of the n pairs of vertices forming the edges.
  Adj = zeros(P,P);
  for i = E'
    Adj(i(1),i(2)) = 1;
    Adj(i(2),i(1)) = 1;
  end
end
